*** Stata do-file for 
*** "The preference for Europe: Public opinion about European integration since 1952", European Union Politics
*** Christopher J. Anderson (University of Warwick)
*** Jason D. Hecht (Cornell University)
***

*** Data file: Anderson Hecht European Mood F D I UK 1952-2017 for EUP.dta

*** Figure 4

twoway (line mood1_100_france year , lpattern(solid)) (line mood1_100_germany year , lpattern(dash)) (line mood1_100_italy year , lpattern(dot)) (line mood1_100_uk year , lpattern(longdash)), ytitle(, size(zero)) yscale(range(0 100)) ylabel(0(10)100, angle(horizontal)) xlabel(1950(10)2020, labsize(medsmall)) note(Source: Dyad ratios algorithm based on 14 survey items., size(zero)) legend(order(1 "France" 2 "Germany" 3 "Italy" 4 "UK")) scheme(sj) graphregion(fcolor(white))

*** Figure 5

. twoway (line mood1_100 year), ytitle(, size(zero)) yscale(range(0 100)) ylabel(0(10)100, angle(horizontal)) xlabel(1950(10)2020, labsize(small)) by(, note(, size(zero))) scheme(sj) by(, graphregion(fcolor(white))) by(country)


*** Time Series Analysis (Appendix)
tsset year_01

dfuller mood1_france, lags(0)
dfuller mood1_france, lags(1)
dfuller mood1_france, lags(2)
dfuller mood1_france, lags(3)
dfuller mood1_germany, lags(0)
dfuller mood1_germany, lags(1)
dfuller mood1_germany, lags(2)
dfuller mood1_germany, lags(3)
dfuller mood1_italy, lags(0)
dfuller mood1_italy, lags(1)
dfuller mood1_italy, lags(2)
dfuller mood1_italy, lags(3)
dfuller mood1_uk, lags(0)
dfuller mood1_uk, lags(1)
dfuller mood1_uk, lags(2)
dfuller mood1_uk, lags(3)

*** We use the 'kpss" command. The corresponding package is required to execute the entire do-file.***
*** The package can be found by typiing net sj 6-3 sts15_2***

kpss mood1_france
kpss mood1_germany
kpss mood1_italy
kpss mood1_uk

*** End do-file
